import { unwrapVimpResponse, vimpClient } from '../client';
import type { VimpStation } from '../model';

export const catalogAllDeviceApi = async (options?: { signal?: AbortSignal }) => {
  const { signal } = options ?? {};
  const client = vimpClient;
  const endpoint = `/catalog/allDevice`;
  const resp = await client.post<VimpStation[]>(endpoint, {}, { signal });
  const data = unwrapVimpResponse(resp);
  return data;
};
